%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	gtk-recordMyDesktop is the GTK-Frontend for recordmydesktop
Name:		gtk-recordmydesktop
Version:	0.3.8
Release:	2
BuildArch:	i686
License: 	GNU/GPL
URL:		http://recordmydesktop.sourceforge.net/
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	recordmydesktop python26-pygtk python26-pygobject 

#Automatically resolved build dependencies
BuildRequires: python26-devel python26-pygtk-devel python26-pygobject-devel glib-devel gtk2+-devel

%description
gtk-recordMyDesktop is the GTK-Frontend for recordmydesktop

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
# removing old build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_locale
%_applications
%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.8-2
- python 2.6
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.8-1
- Version update
* Sun Aug 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.3.6-1
- Version update
* Tue Feb 13 2007 Christian Wasem <wasem@ccux-linux.de> 0.3.3-1
- Initial Release